$(function() {
	//底部调整
	var isChrome = navigator.userAgent.toLowerCase().match(/chrome/) != null; 
	if (!isChrome) {
		$(".tpl-page-container .tpl-content-wrapper").addClass("R-wra");
		$(".tpl-page-container .tpl-left-nav").addClass("L-tpl");
	}
	//检测表单
	var reg = /^\d+(\.\d+)?$/;
	$('.tpl-btn-bg-color-success').click(function() {
		if ($('#title').val() == '') {
			confirm('请输入栏目名称');
			return false;
		}
		if ($.trim($('.posi_box2 .am-dropdown-toggle .am-fl').text()) == '请选择所属模块') {
			confirm('请选择所属模块');
			return false;
		}
		if (!reg.test($.trim($('#sort').val()))) {
			confirm('你输入的栏目排序不合法，必须是一个数字');
			return false;
		}
		return true;
	})
	//category_update 点击编辑时,有图片时,显示出来
	var webid = window.location.search; //获取地址栏的整个参数
	var patt1 = new RegExp("cid=");
	var result = patt1.test(webid);
	if (result) {
		var img_src = $('#finalImg').attr('src');
		if (img_src != null && img_src != '') {
			$("#ngac_Nfu_box").show();
		}
	}
	// 剪切时的问题
    // if($("#finalImg").attr("src")!==""){
    //     $("#replaceImg").on("click",function(){
    //         $("#tailoringImg").addClass("cropper-hidden");
    //     })
    // }else{
    //     $("#tailoringImg").removeClass("cropper-hidden");
    // }
	//上传图片
	function imgChange(e1, e2) {
		e1.change(function() {
			$filePath = URL.createObjectURL(this.files[0]);
			$('#tailoringImg').cropper('replace', $filePath, false);//默认false，适应高度，不失真
			$(this).siblings('div').find('img').attr('src', $filePath);
			$("#ngac_Nfu_box").show();
			var reader = new FileReader();
			reader.readAsDataURL(this.files[0]); //读取文件
			reader.onload = function(e) { //读取完成回调        
				imgBase = e.target.result;
				e2.val(imgBase);
			}
		})
	}
	//原始上传
	$('#originalImg').click(function() {
		$("#originalChoose").trigger('click');
		imgChange($('#originalChoose'), $('#originalUpdate'));
	})
})
//图片裁切
function selectImg(file) {
	if (!file.files || !file.files[0]) {
		return;
	}
	var reader = new FileReader();
	reader.onload = function(evt) {
		var replaceSrc = evt.target.result;
		//更换cropper的图片
		$('#tailoringImg').cropper('replace', replaceSrc, false); //默认false，适应高度，不失真
	}
	reader.readAsDataURL(file.files[0]);
}
//关闭裁剪框
function closeTailor() {
	$(".tailoring-container").toggle();
}
$(function() {
	//弹出框水平垂直居中
	(window.onresize = function() {
		var win_height = $(window).height();
		var win_width = $(window).width();
		if (win_width <= 768) {
			$(".tailoring-content").css({
				"top": (win_height - $(".tailoring-content").outerHeight()) / 2,
				"left": 0
			});
		} else {
			$(".tailoring-content").css({
				"top": (win_height - $(".tailoring-content").outerHeight()) / 2,
				"left": (win_width - $(".tailoring-content").outerWidth()) / 2
			});
		}
	})();
	//弹出图片裁剪框
	$("#replaceImg").on("click", function() {
		$(".tailoring-container").toggle();
	});
	//图像上传
	//cropper图片裁剪
	$('#tailoringImg').cropper({
		aspectRatio: 1 / 1, //默认比例
		preview: '.previewImg', //预览视图
		guides: false, //裁剪框的虚线(九宫格)
		autoCropArea: 0.5, //0-1之间的数值，定义自动剪裁区域的大小，默认0.8
		movable: false, //是否允许移动图片
		dragCrop: true, //是否允许移除当前的剪裁框，并通过拖动来新建一个剪裁框区域
		movable: true, //是否允许移动剪裁框
		resizable: true, //是否允许改变裁剪框的大小
		zoomable: false, //是否允许缩放图片大小
		mouseWheelZoom: false, //是否允许通过鼠标滚轮来缩放图片
		touchDragZoom: true, //是否允许通过触摸移动来缩放图片
		rotatable: true, //是否允许旋转图片
		crop: function(e) {
			// 输出结果数据裁剪图像。
		}
	});
	//旋转
	$(".cropper-rotate-btn").on("click", function() {
		$('#tailoringImg').cropper("rotate", 45);
	});
	//复位
	$(".cropper-reset-btn").on("click", function() {
		$('#tailoringImg').cropper("reset");
	});
	//换向
	var flagX = true;
	$(".cropper-scaleX-btn").on("click", function() {
		if (flagX) {
			$('#tailoringImg').cropper("scaleX", -1);
			flagX = false;
		} else {
			$('#tailoringImg').cropper("scaleX", 1);
			flagX = true;
		}
		flagX != flagX;
	});
	//裁剪后的处理
	$("#sureCut").on("click", function() {
		if ($("#tailoringImg").attr("src") == null) {
			return false;
		} else {
			var cas = $('#tailoringImg').cropper('getCroppedCanvas'); //获取被裁剪后的canvas
			var base64url = cas.toDataURL('image/png'); //转换为base64地址形式
			$('#imgUpdate').val(base64url);
			$("#ngac_Nfu_box").show();
			$("#finalImg").prop("src", base64url); //显示为图片的形式
			//关闭裁剪框
			closeTailor();
		}
	});
	//动态给所属栏目添加必填图标
	$('.ng-add-span .am-selected').append($('<span> </span>').attr('class', 'ng-syte-span').addClass('am-back-input'));
	//必填提示 类名当作实参传进方法中
	//当输入框输入为空,失去焦点时,提示图标为交叉,
	//当输入框输入不为空,失去焦点时,提示图标为勾
	//栏目名称必填标记
	ng_titian('ngco_Ojs_bitian');
	//设置必填标记的方法
	function ng_titian(leiming) {
		var BiTianParent = $('.' + leiming).parent().parent('.am-form-group');
		var BiTianNext = $('.' + leiming).next('i');
		$(BiTianParent).addClass('am-form-error');
		$('.' + leiming).addClass('am-back-input');
		$('.' + leiming).blur(function() {
			if ($.trim($(this).val()) == '') {
				$(BiTianParent).removeClass('am-form-success');
				$(BiTianParent).addClass('am-form-error')
				$(BiTianNext).removeClass('am-icon-check');
				$(BiTianNext).addClass('am-icon-times');
				$('.' + leiming).removeClass('am-back-input');
			} else {
				$(BiTianParent).removeClass('am-form-error');
				$(BiTianParent).addClass('am-form-success')
				$(BiTianNext).removeClass('am-icon-times');
				$(BiTianNext).addClass('am-icon-check');
				$('.' + leiming).removeClass('am-back-input');
			}
		})
	}
	//页面中的input按钮事件
	$('.tpl-switch').find('.tpl-switch-btn-view').on('click', function() {
		$(this).prev('.tpl-switch-btn').prop("checked", function() {
			if ($(this).is(':checked')) {
				return false;
			} else {
				return true;
			}
		})
	})
	// ==========================
	//  在上传图片的弹出窗口,点击非图片区域,就隐藏窗口
	// ==========================
	$(".ngad-Jsj-click").on("click", function() {
		closeTailor(this);
	});
	$(".ngad-Ksj-change").on("change", function() {
		selectImg(this);
	});
	$(".ngad-Usj-click").on("click", function() {
		closeTailor(this);
	});
	$('.tpl-switch-btn-view').click(function(){
	    if($(this).prev().prop('checked')){
	        $('#permission').hide()
	    }else{
	        $('#permission').show()
	    }
	})
	if($('#all').prop('checked')){
	        $('#permission').hide()
	    }else{
	        $('#permission').show()
	    }

})